Zend FR

Consultez la FAQ sur le ZF avant de poster une question

Vous n'êtes pas identifié.

#1 24-11-2016 13:08:56

Kostali
Nouveau membre
Date d'inscription: 21-11-2016
Messages: 5

Autentification sur zend2.4

Je suis nouveau sur zend j'ai commencé ma première app en suivant le tuto de blog https://framework.zend.com/manual/2.4/e … odule.html
je me suis inspiré de cet exemple pour creer un nouveau module User qui accede au donner de la base sql dans la couche mapper et je ne suis pas par ou commencer .
svp qulque conseil par ou commencer . Merci

Hors ligne

 

#2 24-11-2016 17:27:17

Théocrite
Administrateur
Lieu: Dijon, Paris, Edinburgh
Date d'inscription: 23-12-2009
Messages: 607
Site web

Re: Autentification sur zend2.4

Bonjour !

Tu devrais regarder du côté de ZfcUser. On peut faire plus simple mais l'idée est là et le code est propre smile

Hors ligne

 

#3 25-11-2016 11:25:09

Kostali
Nouveau membre
Date d'inscription: 21-11-2016
Messages: 5

Re: Autentification sur zend2.4

Merci pour ta réponse j'ai  pu installer https://github.com/ZF-Commons/ZfcUser dans mon application est enregistré un user ; jje suis entrain de regler ces trois Error:

Code:

 Deprecated: ServiceManagerAwareInterface is deprecated and will be removed in version 3.0, along with the ServiceManagerAwareInitializer. Please update your class ZfcUser\Service\User to remove the implementation, and start injecting your dependencies via factory instead. in D:\wamp\www\AppZend2\vendor\zendframework\zend-mvc\src\Service\ServiceManagerConfig.php on line 129

Deprecated: ServiceManagerAwareInterface is deprecated and will be removed in version 3.0, along with the ServiceManagerAwareInitializer. Please update your class ZfcUser\Authentication\Storage\Db to remove the implementation, and start injecting your dependencies via factory instead. in D:\wamp\www\AppZend2\vendor\zendframework\zend-mvc\src\Service\ServiceManagerConfig.php on line 129

Deprecated: ServiceManagerAwareInterface is deprecated and will be removed in version 3.0, along with the ServiceManagerAwareInitializer. Please update your class ZfcUser\Authentication\Adapter\Db to remove the implementation, and start injecting your dependencies via factory instead. in D:\wamp\www\AppZend2\vendor\zendframework\zend-mvc\src\Service\ServiceManagerConfig.php on line 129

Hors ligne

 

#4 25-11-2016 16:36:06

Théocrite
Administrateur
Lieu: Dijon, Paris, Edinburgh
Date d'inscription: 23-12-2009
Messages: 607
Site web

Re: Autentification sur zend2.4

Bonjour !

Il n'y a pas de plan pour migrer ZfcUser en ZF3 a ma connaissance (je jetterai un coup d'oeil un jour si j'ai le temps). Ces erreurs sont simple a résoudre, mais il y en aura d'autres au niveau de l'event manager je pense...

Ce que je voulais dire plus haut est que tu peux t'inspirer de ce module et en prendre uniquement les parties que tu veux.

Hors ligne

 

#5 28-11-2016 11:30:30

Kostali
Nouveau membre
Date d'inscription: 21-11-2016
Messages: 5

Re: Autentification sur zend2.4

Merci Théocrite je n'essais pas de migrer Zfcusers en zf3 plutout dans zf2 v2.4 je compte commencer a apprendre zend2 avant zf3.

Hors ligne

 

#6 28-11-2016 13:28:15

Théocrite
Administrateur
Lieu: Dijon, Paris, Edinburgh
Date d'inscription: 23-12-2009
Messages: 607
Site web

Re: Autentification sur zend2.4

Ah d'accord, autant pour moi...

Puis-je voir ton composer.json ? En fait j'ai l'impression que tu n'as pas la version e ZF que tu penses... Pourrais-tu aussi me donner ta version de ZF: composer show zendframework/zendframework et eventuellement celle du service manager.

Hors ligne

 

#7 28-11-2016 15:29:04

Kostali
Nouveau membre
Date d'inscription: 21-11-2016
Messages: 5

Re: Autentification sur zend2.4

Code:

D:\wamp\www\AppZend2>composer show zendframework/zendframework
name     : zendframework/zendframework
descrip. : Zend Framework 2
keywords : framework, zf2
versions : * 2.5.3
type     : library
license  : BSD 3-clause "New" or "Revised" License (BSD-3-Clause) (OSI approve
 https://spdx.org/licenses/BSD-3-Clause.html#licenseText
source   : [git] https://github.com/zendframework/zendframework.git aeb432d594
cd9a4a68166738745387a9bf49ab
dist     : [zip] https://api.github.com/repos/zendframework/zendframework/zipb
l/aeb432d59410cd9a4a68166738745387a9bf49ab aeb432d59410cd9a4a68166738745387a9b
9ab
names    : zendframework/zendframework

requires
php ^5.5 || ^7.0
zendframework/zend-authentication ^2.5
zendframework/zend-barcode ^2.5
zendframework/zend-cache ^2.5
zendframework/zend-captcha ^2.5
zendframework/zend-code ^2.5
zendframework/zend-config ^2.5
zendframework/zend-console ^2.5
zendframework/zend-crypt ^2.5
zendframework/zend-db ^2.5
zendframework/zend-debug ^2.5
zendframework/zend-di ^2.5
zendframework/zend-dom ^2.5
zendframework/zend-escaper ^2.5
zendframework/zend-eventmanager ^2.5
zendframework/zend-feed ^2.5
zendframework/zend-file ^2.5
zendframework/zend-filter ^2.5
zendframework/zend-form ^2.5
zendframework/zend-http ^2.5
zendframework/zend-i18n ^2.5
zendframework/zend-i18n-resources ^2.5
zendframework/zend-inputfilter ^2.5
zendframework/zend-json ^2.5
zendframework/zend-loader ^2.5
zendframework/zend-log ^2.5
zendframework/zend-mail ^2.5
zendframework/zend-math ^2.5
zendframework/zend-memory ^2.5
zendframework/zend-mime ^2.5
zendframework/zend-modulemanager ^2.5
zendframework/zend-mvc ^2.5
zendframework/zend-navigation ^2.5
zendframework/zend-paginator ^2.5
zendframework/zend-permissions-acl ^2.5
zendframework/zend-permissions-rbac ^2.5
zendframework/zend-progressbar ^2.5
zendframework/zend-serializer ^2.5
zendframework/zend-server ^2.5
zendframework/zend-servicemanager ^2.5
zendframework/zend-session ^2.5
zendframework/zend-soap ^2.5
zendframework/zend-stdlib ^2.5
zendframework/zend-tag ^2.5
zendframework/zend-test ^2.5
zendframework/zend-text ^2.5
zendframework/zend-uri ^2.5
zendframework/zend-validator ^2.5
zendframework/zend-version ^2.5
zendframework/zend-view ^2.5
zendframework/zend-xmlrpc ^2.5
zendframework/zendxml ^1.0.1

suggests
zendframework/zend-ldap zend-ldap component ^2.5, if you need LDAP features

Hors ligne

 

#8 28-11-2016 15:32:34

Théocrite
Administrateur
Lieu: Dijon, Paris, Edinburgh
Date d'inscription: 23-12-2009
Messages: 607
Site web

Re: Autentification sur zend2.4

Ben voila, c'est donc du ZF 2.5 et non pas du 2.4. En 2.4 il n'y aurait pas ces erreurs smile

Hors ligne

 

#9 28-11-2016 15:40:26

Kostali
Nouveau membre
Date d'inscription: 21-11-2016
Messages: 5

Re: Autentification sur zend2.4

Oui je me rend compte maintenant psq j'ai installé zfusers par composer update.

Dernière modification par Kostali (28-11-2016 15:41:16)

Hors ligne

 

Pied de page des forums

Propulsé par PunBB
© Copyright 2002–2005 Rickard Andersson
Traduction par punbb.fr

Graphisme réalisé par l'agence Rodolphe Eveilleau
Développement par Kitpages